import QtQuick 1.0
import "components"

Rectangle {
    width: 480
    height: 272
    id: root
    objectName: "root"
    color: "#2D2D2D"
    signal message(string msg)

    gradient: Gradient {
        GradientStop {position: 0.0; color: "#2D2D2D"}
        GradientStop {position: 1.0; color: "#666666"}
    }

    Text{
        id: txtTitle
        width: 480
        height: 16
        y: 5
        color: "#ffffff"
        text: "Reach IO Demo"
        font.bold: true
        font.pixelSize: 21
        horizontalAlignment: Text.AlignHCenter
    }

    ImageButton {
        id: image_button2
        x: 260
        y: 41
        width: 123
        height: 38
        text: "Send to port 2"
        imageUp: "images/internal_button_up.bmp"
        textColor: "#000000"
        font.pixelSize: 16
        imageDown: "images/internal_button_dn.bmp"
        font.family: "DejaVu Sans"
        font.bold: false

        onButtonClick: {
            connection.sendMessage("S2.value=200");
        }
    }

    ImageButton {
        id: image_button1
        x: 74
        y: 41
        width: 123
        height: 38
        text: "Send to port 1"
        imageUp: "images/internal_button_up.bmp"
        font.pixelSize: 16
        textColor: "#000000"
        imageDown: "images/internal_button_dn.bmp"
        font.bold: false
        font.family: "DejaVu Sans"

        onButtonClick: {
            connection.sendMessage("S1.value=100");
        }
    }


    Rectangle{
        id: s2
        objectName: "S2"
        x: 247
        y: 107
        width: 216
        height: 149
        color: "#ffffff"
        property string text: ""

        onTextChanged: text_edit1.text += text + "\r";

        TextEdit {
            id: text_edit1
            text: qsTr("")
            wrapMode: TextEdit.WordWrap
            font.pixelSize: 12
        }
    }

    Rectangle{
        id: s1
        objectName: "S1"
        x: 16
        y: 107
        width: 216
        height: 149
        color: "#ffffff"
        property string text: ""

        onTextChanged: text_edit2.text += text + "\r";

        TextEdit {
            id: text_edit2
            text: qsTr("")
            font.pixelSize: 12
            wrapMode: TextEdit.WordWrap
        }
    }

    Text {
        id: text1
        x: 16
        y: 87
        width: 171
        height: 17
        color: "#ffffff"
        text: qsTr("Data from Serial Port 1")
        font.pixelSize: 14
    }

    Text {
        id: text2
        x: 244
        y: 85
        color: "#ffffff"
        text: qsTr("Data from Serial Port 2")
        font.pixelSize: 14
    }

}
